Cyberduck Mountain Duck CLI

#7779 closed defect (fixed)

In-place editing of versioned file fails

Reported by: zak_burke Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: s3 Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

In Version 4.4.4 (14289) on Mac OS 10.9.1, in-place editing of a file on an S3 server with versioning enabled on the bucket fails. Instead of overwriting the existing document, a new document with a GUID appended to the filename is created; the original is unchanged. For example, editing and saving a file named "billing.html" will create a new file named "billing.html-3d7943b3-e8ad-4209-8021-b0ac46c82197". Downloading the file, editing it, and uploading it works fine.

Here is a summary from the log:

HEAD /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:55 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 0I47Hnz1FEe6juyypJIGi4pJl3oUM4r4wLw5p+6A7IO/ge5h2YM22elyaczCJvRS
x-amz-request-id: 222D9B574B685220
Date: Fri, 07 Feb 2014 18:03:53 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
GET /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:56 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: m8ZatwOT6or554+NMKy0aalQbluA0J7IiRwmAuquifWiDa3Ce1iDR7J1hRkErZwK
x-amz-request-id: 88292A2419B2D586
Date: Fri, 07 Feb 2014 18:03:53 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
HEAD /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:56 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: aYkB2LcvfWIFqkP/CIAj5Ed6slu55PeA9rEdn5d2MKhLRK/lxPyBAjFbHamSC+oK
x-amz-request-id: 65F2B06F6C53F998
Date: Fri, 07 Feb 2014 18:03:53 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
HEAD /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: PRlWwpOafdADbHAqY4FB7hRSLkRh/RJ2K1sQBAFw2R0NbCpGmvesoNTwimIUYUhc
x-amz-request-id: 01108452C2916637
Date: Fri, 07 Feb 2014 18:03:54 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
HEAD /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: u+qwEQltEvC3/xd3c5wA9/tJThVCpNWsn4YzPA+glLm6ehM+52GVUeizJm9/iIvI
x-amz-request-id: CF6128D0A074289D
Date: Fri, 07 Feb 2014 18:03:54 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: hvb/jJ2l7qDAk62N05rrAZ691bLdxHIe0KEB1cRVwtnDoFeFyHwPJVpZr4Y0J7m+
x-amz-request-id: 51937A8B08B2B0AD
Date: Fri, 07 Feb 2014 18:03:54 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /lp%2F106%2Fbilling.html?acl&versionId=Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_ HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: xU5JA029JQA4Y+hxvFH/6FKw7Qg/wcRfPq+eGzyIymHYuOPS3SUxkFGkzdfcmtse
x-amz-request-id: 6DF6C2EC4C18C6E3
Date: Fri, 07 Feb 2014 18:03:54 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
PUT /lp%2F106%2Fbilling.html-768ea36f-e1e2-4fa0-acac-9577f881f142 HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Content-Type: text/html
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Content-Length: 22000
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: fOoh61Z9UqrTC+2/d6djAzuegm0o+Bt1fDJEXSQfjn0fNdAFSBC5W1/eP62B9KfE
x-amz-request-id: 524ECE6ED51C0DF4
Date: Fri, 07 Feb 2014 18:03:54 GMT
x-amz-version-id: P1CpYuhlbB8W7ruwFJudLR9u99R_GN2L
ETag: "a0595f131bdf077808cc5629f61d232d"
Content-Length: 0
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: XSn44nT+QLIFNochO+4E4k7DV+VY5FuXhSAl07ZcPLZiV6KscHYmXE+o3ca9uv1s
x-amz-request-id: 503723FE7C1372EB
Date: Fri, 07 Feb 2014 18:03:54 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /lp%2F106%2Fbilling.html-768ea36f-e1e2-4fa0-acac-9577f881f142?acl&versionId=Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_ HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 404 Not Found
x-amz-request-id: 46E71DF29859A1E9
x-amz-id-2: NFqMyHNNdcL5eKa81iNlJfUnWNV8Q4j8MAh92I4Vz5b8keGi1FAE8DFAvfYsuPtb
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Fri, 07 Feb 2014 18:03:52 GMT
Server: AmazonS3
HEAD /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 3QJFMob5rqaIIQY8RK+LnSK6thBwDbTIA6caeZfiypL35UwioHUW4sFfgZ/iD7N3
x-amz-request-id: F83AA6635C3A9D90
Date: Fri, 07 Feb 2014 18:03:54 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
HEAD /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 56mK3kt4S+9nodG8pjrO4NVTdsSL34lVXE2zFtjaIiiaixCzWQ31pxbgdRtbBBK3
x-amz-request-id: 1C24FDE9F65F8CF5
Date: Fri, 07 Feb 2014 18:03:54 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
HEAD /lp%2F106%2Fbilling.html HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: Z1uMY+lrMURqcLdGwPJ1/5E4xDGc87KkvcRnQTAILpxX3p4eDLHPZSJKruyAI592
x-amz-request-id: D367B28AD72FE6D0
Date: Fri, 07 Feb 2014 18:03:54 GMT
Last-Modified: Fri, 07 Feb 2014 17:37:12 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
ETag: "a0595f131bdf077808cc5629f61d232d"
Accept-Ranges: bytes
Content-Type: text/html
Content-Length: 22000
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: S4TfDQB/n3YxOB4fEMlTyYXOunVHm+B3l7chGauUfe4bBKtXpbZzUwSyixg4x36X
x-amz-request-id: 09E7F840309815EB
Date: Fri, 07 Feb 2014 18:03:54 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /lp%2F106%2Fbilling.html?acl&versionId=Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_ HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:57 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: hadE7UNQBgU6Yk0Cl8Sfwj98oPijUPeXIj2maGwvpsjMpLT9uG7WeWoPhlHM+GUt
x-amz-request-id: EB3E5A6B4E261CDB
Date: Fri, 07 Feb 2014 18:03:55 GMT
x-amz-version-id: Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
PUT /lp%2F106%2Fbilling.html-8bca0a64-188f-42ee-9d70-a73a97241531 HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:58 GMT
Content-Type: text/html
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Content-Length: 22000
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: rPpt6ZU85CQ38LGZTyT+t7Wvbm53G7kBCOFA0blCflFDeR7xu7mcjU0pilaYIWFR
x-amz-request-id: E6D8131A67998A60
Date: Fri, 07 Feb 2014 18:03:55 GMT
x-amz-version-id: YG8g3fHOaozxruE4yCPqeGYWN6Q5.gIq
ETag: "a0595f131bdf077808cc5629f61d232d"
Content-Length: 0
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:58 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: rkQ+p7pM10zqZi0J+7no2RQoFsEX5TdKyHwmt2UvwFJwKpx5M8EiAuTrMhdXHd/C
x-amz-request-id: C53AF66F073BA6F3
Date: Fri, 07 Feb 2014 18:03:55 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /lp%2F106%2Fbilling.html-8bca0a64-188f-42ee-9d70-a73a97241531?acl&versionId=Zn8T9ldbKrDibyGRtZBNQ3g0347g1zV_ HTTP/1.1
Date: Fri, 07 Feb 2014 18:03:58 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 404 Not Found
x-amz-request-id: 728B876010DD37D5
x-amz-id-2: nQgQe4Fk1ScBqEqbSaTyfXBl3GOvRuU76pkSYlMdQ4z4J0qZhx3ccSN4mE0Ab/N+
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Fri, 07 Feb 2014 18:03:53 GMT
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=lp%2F106%2F HTTP/1.1
Date: Fri, 07 Feb 2014 18:04:15 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: S0YpsxkFAgEU19tGKe6Ums/jqx0fIoHhgm6haDxkVHXv40F21n+1DUNo/gNDX6Bj
x-amz-request-id: CEC821CCFD4E3F62
Date: Fri, 07 Feb 2014 18:04:12 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 07 Feb 2014 18:04:15 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: P/+/B5PRBVH/zQ2K63Di22bE22A2CdmRmf6/CKDxvKFjMoSuamqeuBp2X8u38O3Y
x-amz-request-id: CC21A1397B34D613
Date: Fri, 07 Feb 2014 18:04:13 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&versions&prefix=lp%2F106%2F HTTP/1.1
Date: Fri, 07 Feb 2014 18:04:16 GMT
Authorization: AWS AXXXXXXXXXXXXXXXXXXX:YYYYYYYYYYYYYYYYYYYYYYYYYYY=
Host: name_of_the_bucket.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.4 (Mac OS X/10.9.1) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: t6sfxDqQuGLs7kMR6+zTc4L33/JrOznoKfUACUJoLKOR7OjZPKCKoSMvMWrwqz2d
x-amz-request-id: 37690443140B323B
Date: Fri, 07 Feb 2014 18:04:13 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3

Attachments (1)

in_place_edit.png (83.5 KB) - added by zak_burke on Feb 7, 2014 at 9:41:25 PM.
files with GUIDs appended

Download all attachments as: .zip

Change History (4)

Changed on Feb 7, 2014 at 9:41:25 PM by zak_burke

files with GUIDs appended

comment:1 Changed on Feb 8, 2014 at 8:56:05 PM by dkocher

  • Component changed from core to s3
  • Description modified (diff)
  • Owner set to dkocher
  • Summary changed from In-place editing of versioned S3 files fails to In-place editing of versioned file fails

comment:2 Changed on Feb 8, 2014 at 8:57:07 PM by dkocher

  • Status changed from new to assigned

comment:3 Changed on Feb 10, 2014 at 11:51:02 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14319.

Note: See TracTickets for help on using tickets.
swiss made software